org.apache.lucene.luke.models

## Class LukeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.luke.models.LukeException

All Implemented Interfaces:
  Serializable

    public class LukeException
    extends RuntimeException

Wrapper exception class to convert checked exceptions to runtime exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LukeException(String message)`
`LukeException(String message, Throwable cause)`
`LukeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LukeException

    public LukeException(String message,
                         Throwable cause)

#### LukeException

    public LukeException(Throwable cause)

#### LukeException

    public LukeException(String message)